Interface ReservationSlotsListResponseOrBuilder (1.101.0)

public interface ReservationSlotsListResponseOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getId()

public abstract String getId()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public abstract ByteString getIdBytes()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public abstract ReservationSlot getItems(int index)

A list of reservation slot resources.

repeated .google.cloud.compute.v1.ReservationSlot items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
ReservationSlot

getItemsCount()

public abstract int getItemsCount()

A list of reservation slot resources.

repeated .google.cloud.compute.v1.ReservationSlot items = 100526016;

Returns
Type Description
int

getItemsList()

public abstract List<ReservationSlot> getItemsList()

A list of reservation slot resources.

repeated .google.cloud.compute.v1.ReservationSlot items = 100526016;

Returns
Type Description
List<ReservationSlot>

getItemsOrBuilder(int index)

public abstract ReservationSlotOrBuilder getItemsOrBuilder(int index)

A list of reservation slot resources.

repeated .google.cloud.compute.v1.ReservationSlot items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
ReservationSlotOrBuilder

getItemsOrBuilderList()

public abstract List<? extends ReservationSlotOrBuilder> getItemsOrBuilderList()

A list of reservation slot resources.

repeated .google.cloud.compute.v1.ReservationSlot items = 100526016;

Returns
Type Description
List<? extends com.google.cloud.compute.v1.ReservationSlotOrBuilder>

getKind()

public abstract String getKind()

The type of resource. Alwayscompute#reservationSlot for a list of reservation slots.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public abstract ByteString getKindBytes()

The type of resource. Alwayscompute#reservationSlot for a list of reservation slots.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getNextPageToken()

public abstract String getNextPageToken()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
String

The nextPageToken.

getNextPageTokenBytes()

public abstract ByteString getNextPageTokenBytes()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
ByteString

The bytes for nextPageToken.

public abstract String getSelfLink()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public abstract ByteString getSelfLinkBytes()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getWarning()

public abstract Warning getWarning()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning

The warning.

getWarningOrBuilder()

public abstract WarningOrBuilder getWarningOrBuilder()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
WarningOrBuilder

hasId()

public abstract boolean hasId()

The unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasKind()

public abstract boolean hasKind()

The type of resource. Alwayscompute#reservationSlot for a list of reservation slots.

optional string kind = 3292052;

Returns
Type Description
boolean

Whether the kind field is set.

hasNextPageToken()

public abstract boolean hasNextPageToken()

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
boolean

Whether the nextPageToken field is set.

public abstract boolean hasSelfLink()

The server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasWarning()

public abstract boolean hasWarning()

An informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
boolean

Whether the warning field is set.